%define upstream_name    Data-Hierarchy
%define upstream_version 0.34

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Perl module to handle data in a hierarchical structure
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(Clone)
BuildRequires:  perl(Test::Exception)
BuildArch:      noarch


%description
Data::Hierarchy provides a simple interface for manipulating 
inheritable data attached to a hierarchical environment (like filesystem).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README 
%{perl_vendorlib}/Data
%{_mandir}/man3/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.340.0-2.mga3
+ Revision: 365353
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 0.340.0-1.mga1
+ Revision: 23833
- cleaning spec file
- imported package perl-Data-Hierarchy

